如何使用Python 3安装pip?

问题:

我想安装pip。它应该支持Python 3,但它需要用于Python 2的setuptools。
如何使用Python 3安装pip?

回答:

编辑:手动安装和使用setuptools不再是标准过程。

如果您运行的是Python 2.7.9+或Python 3.4+

恭喜您should已安装pip。如果没有,请继续阅读。

如果您正在运行类Unix系统

如果您的Python版本早于2.7.9或3.4,或者您的系统因为任何原因而不包括它,您通常可以通过包管理器安装pip的包。
一些更常见的发行版的说明如下。

在Debian(Wheezy and newer)和Ubuntu(Trusty Tahr及更新版本)上安装Python 2.x

从终端运行以下命令:

sudo apt-get install python-pip 

在Debian(Wheezy and newer)和Ubuntu(Trusty Tahr及更新版本)上安装Python 3.x

从终端运行以下命令:

sudo apt-get install python3-pip

安装

在CentOS 7上,您必须首先安装设置工具,然后使用它来安装pip,因为没有直接的软件包。

sudo yum install python-setuptools
sudo easy_install pip

安装

假设你安装了Python 3.4 from EPEL,你可以安装Python 3的安装工具,并使用它来安装pip

# First command requires you to have enabled EPEL for CentOS7
sudo yum install python34-setuptools
sudo easy_install pip

如果您的Unix / Linux发行版没有它在包回收

使用下面详细的手动方式进行安装。

手工方式

如果要以手动方式执行,现在推荐的方法是使用pip‘s installation instructions中的get-pip.py脚本进行安装

安装点
要安装pip,请安全下载get-pip.py
然后运行以下(可能需要管理员访问):
如果setuptools尚未安装,get-pip.py将为您安装安装工具。

 
 
Code问答: http://codewenda.com/topics/python/
Stackoverflow: How to install pip with Python 3?

*转载请注明本文链接以及stackoverflow的英文链接

发表评论

电子邮件地址不会被公开。 必填项已用*标注

80 − 76 =